Post by maperdel » Sun Oct 09, 2011 12:49 am

Me encontre por ahi la version 1.2 de este modulo e hice las modificaciones para que desplegara a Mexico como pais en las opciones del admin, modificando los archivos de la carpeta admin/language y admin/controller.

Ahora si todo funciono correctamente en mis 2 instalaciones.

Si alguien que sepa se animara a implementar el IPN para todos los paises, este modulo quedaria perfecto. ;)

Gracias!

Zapatos Andrea - Andrea Zapatos


New member

Posts

Joined
Sat Mar 26, 2011 6:38 am


Post by rodricrzz » Wed Oct 26, 2011 12:08 pm

maperdel wrote:Me encontre por ahi la version 1.2 de este modulo e hice las modificaciones para que desplegara a Mexico como pais en las opciones del admin, modificando los archivos de la carpeta admin/language y admin/controller.

Ahora si todo funciono correctamente en mis 2 instalaciones.

Si alguien que sepa se animara a implementar el IPN para todos los paises, este modulo quedaria perfecto. ;)

Gracias!
Lo hiciste funcionar en la v1.5?

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by andresinho_vm » Thu Oct 27, 2011 2:03 am

Disculpa Cofran yo tambien soy de cordoba, te queria preguntar si de casualidad me podes pasar tu mail para hacerte unas consultas.

New member

Posts

Joined
Wed Oct 26, 2011 8:56 am

Post by rodricrzz » Mon Oct 31, 2011 1:15 pm

Porrrrr favor si alguien puede ponerse a actualizar este modulo a la version 1.5 soy capaz de comprarlo, pero lo necesitoo, me acostumbré a la version 1.5 y me cuesta volver a la 1.4.8 :(

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by celestial » Tue Nov 01, 2011 4:33 am

rodricrzz wrote:Porrrrr favor si alguien puede ponerse a actualizar este modulo a la version 1.5 soy capaz de comprarlo, pero lo necesitoo, me acostumbré a la version 1.5 y me cuesta volver a la 1.4.8 :(

Ok aca esta para 1.5.x, pero hay un problema cuando ya estas aprobando al final el pago me esta dando estos 3 errores que no tengo ni la menor idea de donde salen, hay que consultar a COFRAN que es lo que trata de hacer con esto (no se si falta un campo en la BD) y aparte de eso es que no tengo tiempo me he tomado 15 minutos pasandolo a la nueva version pero ya lo de los errores lo siento, seria revisarlo cuando tenga tiempo.

2011-10-31 21:20:48 - PHP Notice: Undefined index: currency in C:\EasyPHP-5.3.8.0\www\oc1512\catalog\controller\payment\mercadopago.php on line 25
2011-10-31 21:20:48 - PHP Notice: Undefined index: currency in C:\EasyPHP-5.3.8.0\www\oc1512\catalog\controller\payment\mercadopago.php on line 67
2011-10-31 21:20:48 - PHP Notice: Undefined index: value in C:\EasyPHP-5.3.8.0\www\oc1512\catalog\controller\payment\mercadopago.php on line 67

Celestial - Martín Abel Rosales
Email: martinrosales2012@hotmail.com
Skype: martin.abel.rosales
San José , Costa Rica


User avatar
Expert Member

Posts

Joined
Sat Mar 20, 2010 4:19 am
Location - Costa Rica

Post by celestial » Tue Nov 01, 2011 4:59 am

Ok corregidos los errores, ahora solo falta que lo prueben porque a mi me esta dando error de JSON.

sustituyan el archivo

\catalog\controller\payment\mercadopago.php

Por este otro
Edito: es un cierre el que me esta dando problemas un premio al que lo encuentre en este mismo archivo esta el error.

Celestial - Martín Abel Rosales
Email: martinrosales2012@hotmail.com
Skype: martin.abel.rosales
San José , Costa Rica


User avatar
Expert Member

Posts

Joined
Sat Mar 20, 2010 4:19 am
Location - Costa Rica

Post by rodricrzz » Tue Nov 01, 2011 7:40 am

uhhh muchas gracias, cuando vaya a la pc lo pruebo... Sigue dando error?

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by cofran » Tue Nov 01, 2011 10:58 pm

donde dice:

Code: Select all

		if ($order_info) {
			$currencies = array(
				'ARG',
				'BRL',
				'MXN',
				'CLP'
			);

			if (in_array($order_info['currency_code'], $currencies)) {
				$currency = $order_info['currency_code'];
			} else {
    			$currency = '';
    			$this->data['error'] = $this->language->get('currency_no_support');
		}
falta cerrarlo, quedar así:

Code: Select all

		if ($order_info) {
			$currencies = array(
				'ARG',
				'BRL',
				'MXN',
				'CLP'
			);

			if (in_array($order_info['currency_code'], $currencies)) {
				$currency = $order_info['currency_code'];
			} else {
    			$currency = '';
    			$this->data['error'] = $this->language->get('currency_no_support');
			}
                   }

User avatar
Active Member

Posts

Joined
Thu Oct 01, 2009 7:37 am
Location - Córdoba, Argentina

Post by celestial » Tue Nov 01, 2011 11:15 pm

Te das cuenta el que sabe sus cosas, eso era, ayer estaba ya fundido que le di mil vueltas y no encontre donde estaba el bendito cierre, felicidades Cofran, pero bueno al fin y al cabo ya no tiene mas errores??? ya esta funcionando bien??? :crazy:

Saludos

Celestial - Martín Abel Rosales
Email: martinrosales2012@hotmail.com
Skype: martin.abel.rosales
San José , Costa Rica


User avatar
Expert Member

Posts

Joined
Sat Mar 20, 2010 4:19 am
Location - Costa Rica

Post by rodricrzz » Wed Nov 02, 2011 12:38 am

Sigue tirando el mismo error :( a vos Cofran te funcionó?

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by rodricrzz » Wed Nov 02, 2011 12:50 am

En Chrome me aparece el siguiente error: "syntax error unexpected token <".

Busqué en internet informacion sobre ese error y encontré esto que pusieron en un foro:
Tengo ese error cuando hay un "<" en el interior de algunos Javascript, pero no es parte de una cadena. Una de las razones por las que no me lo captura anterior es que se trataba de una cadena de aviso que se imprimió a partir de algunos php que estaba en mi Javascript, pero yo estaba en condiciones de comentar la advertencia a cabo. iría al inspector del Chrome de Google cuando sale este error y mirar todos los Javascript en su código prestados para ver si hay algún "<" s que no pertenecen.

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by jloronoz » Sun Dec 04, 2011 1:58 am

Buenas tardes a todos y saludos desde Venezuela, estoy tratando de portar la extension libre a la version 1.5.X de Opencart y ademas de adaptar el codigo para el Mercadopago de Venezuela, he seguido e implementado varios FIX que han comentado en este foro y en otros tambien, pero ahora al confirmar la compra me da el siguiente error:

Invalid JSON Notice: Undefined Index Currency in ruta/mercadopago.php on line 85 undefined value.

Espero por su ayuda muchas gracias.

Newbie

Posts

Joined
Sun Dec 04, 2011 1:30 am

Post by e-slap » Mon Dec 05, 2011 6:51 am

Hola amigos,

mercadopago me da este error:

Code: Select all

Fatal error: Cannot access private property Document::$title in /home/ept/public_html/kanonimpresor.com/shop/admin/controller/payment/mercadopago.php on line 8
tengo la ultima version de opencart, que se puede hacer?

¡OpenCart es la llave de ignición para su tienda online!

Escoge tu Traducción - Instalación GRATIS!
----------------------------------------------------------------------------------------------------------
Español/Castellano v1.5.6.4 - Español/Castellano v1.5.6.4 (+Extras) - Español/Castellano v2.x
Português/Portugal v1.5.6.4


User avatar
Active Member

Posts

Joined
Fri Jul 22, 2011 12:22 am
Location - Portugal - Argentina

Post by rodricrzz » Mon Dec 05, 2011 6:54 am

e-slap wrote:Hola amigos,

mercadopago me da este error:

Code: Select all

Fatal error: Cannot access private property Document::$title in /home/ept/public_html/kanonimpresor.com/shop/admin/controller/payment/mercadopago.php on line 8
tengo la ultima version de opencart, que se puede hacer?
http://www.opencart.com/index.php?route ... on_id=3973

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by e-slap » Mon Dec 05, 2011 7:32 am

Son pesos Argentinos o dolares?

¡OpenCart es la llave de ignición para su tienda online!

Escoge tu Traducción - Instalación GRATIS!
----------------------------------------------------------------------------------------------------------
Español/Castellano v1.5.6.4 - Español/Castellano v1.5.6.4 (+Extras) - Español/Castellano v2.x
Português/Portugal v1.5.6.4


User avatar
Active Member

Posts

Joined
Fri Jul 22, 2011 12:22 am
Location - Portugal - Argentina

Post by rodricrzz » Mon Dec 05, 2011 7:37 am

e-slap wrote:Son pesos Argentinos o dolares?
Dólares... 45 U$S

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires

Post by andresinho_vm » Tue Dec 06, 2011 2:40 pm

necesito ayuda, sigue todo mal. no me anda me sigue tirando el mismo error no puedo encontrar la solucion....


HELP!!!! ???

New member

Posts

Joined
Wed Oct 26, 2011 8:56 am

Post by jesusb0 » Wed Dec 07, 2011 1:16 am

para Venezuela aun nada? tengo el modulo que da mercadopago, pero no se que lineas modificar para implementarlo

Modulo MercadoPago Venezuela


New member

Posts

Joined
Sat Jul 16, 2011 8:17 am

Post by mlizana » Sat Dec 17, 2011 4:02 am

rodricrzz wrote:
e-slap wrote:Hola amigos,

mercadopago me da este error:

Code: Select all

Fatal error: Cannot access private property Document::$title in /home/ept/public_html/kanonimpresor.com/shop/admin/controller/payment/mercadopago.php on line 8
tengo la ultima version de opencart, que se puede hacer?
http://www.opencart.com/index.php?route ... on_id=3973
se encontrara por ahi gratis???

Saludos

Newbie

Posts

Joined
Wed Dec 14, 2011 10:58 pm

Post by rodricrzz » Sat Dec 17, 2011 1:36 pm

mlizana wrote:
rodricrzz wrote:
e-slap wrote:Hola amigos,

mercadopago me da este error:

Code: Select all

Fatal error: Cannot access private property Document::$title in /home/ept/public_html/kanonimpresor.com/shop/admin/controller/payment/mercadopago.php on line 8
tengo la ultima version de opencart, que se puede hacer?
http://www.opencart.com/index.php?route ... on_id=3973
se encontrara por ahi gratis???

Saludos
Gratis está solamente para la versión 1.4, para la version 1.5 ya es pago... no creo que esté gratis ya que este modulo lo hizo solamente cofran, tanto para la 1.4 como 1.5... te lo recomiendo totalmente, yo lo tengo. Un abrazo.

User avatar
Active Member

Posts

Joined
Fri Jun 03, 2011 4:05 pm
Location - Avellaneda, Buenos Aires
Who is online

Users browsing this forum: No registered users and 6 guests